Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HDP UPGRADE 2.4 to 2.5.3 Fails

Highlighted

HDP UPGRADE 2.4 to 2.5.3 Fails

Explorer

Team,

When i do HDP upgrade from 2.4 to 2.5.3 it getting fails on pig part. Its is not upgrading PIG on ambari node, Rest all nodes upgrade ran successfully. Find the below error log . Find the underlined content

2017-02-17 08:10:44,901 - Will install packages for repository version 2.5.3.0-37

2017-02-17 08:10:44,902 - Repository['HDP-2.5.3.0-37'] {'append_to_file': False, 'base_url': 'http://****om/hdp/HDP/centos6', 'action': ['create'], 'components': ['HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=0\ngpgcheck=0', 'repo_file_name': 'HDP-2.5.3.0-37', 'mirror_list': None}

2017-02-17 08:10:44,910 - File['/etc/yum.repos.d/HDP-2.5.3.0-37.repo'] {'content': InlineTemplate(...)}

2017-02-17 08:10:44,914 - Writing File['/etc/yum.repos.d/HDP-2.5.3.0-37.repo'] because it doesn't exist

2017-02-17 08:10:44,914 - Repository['HDP-UTILS-2.5.3.0-37'] {'append_to_file': True, 'base_url': 'http://****.com/hdp/HDP-UTILS-1.1.0.21/repos/centos6', 'action': ['create'], 'components': ['HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=0\ngpgcheck=0', 'repo_file_name': 'HDP-2.5.3.0-37', 'mirror_list': None}

2017-02-17 08:10:44,917 - File['/etc/yum.repos.d/HDP-2.5.3.0-37.repo'] {'content': '[HDP-2.5.3.0-37]\nname=HDP-2.5.3.0-37\nbaseurl=http://***.com/hdp/HDP/centos6\n\npath=/\nenabled=0\ngpgcheck=0\n[HDP-UTILS-2.5.3.0-37]\nname=HDP-UTILS-2.5.3.0-37\nbaseurl=http://*****.com/hdp/HDP-UTILS-1.1.0.21/repos/centos6\n\npath=/\nenabled=0\ngpgcheck=0'}

2017-02-17 08:10:44,917 - Writing File['/etc/yum.repos.d/HDP-2.5.3.0-37.repo'] because contents don't match

2017-02-17 08:10:44,919 - call[('ambari-python-wrap', '/usr/bin/hdp-select', 'versions')] {}

2017-02-17 08:10:44,937 - call returned (0, '2.3.2.0-2950\n2.4.2.0-258\n2.5.3.0-37')

2017-02-17 08:10:44,938 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5, 'action': ['upgrade']}

2017-02-17 08:10:44,939 - Installing package hdp-select ('/usr/bin/yum -d 0 -e 0 -y install hdp-select')

2017-02-17 08:10:47,604 - checked_call['rpm -q --queryformat '%{version}-%{release}' hdp-select | sed -e 's/\.el[0-9]//g''] {'stderr': -1}

2017-02-17 08:10:47,637 - checked_call returned (0, '2.5.3.0-37', '')

2017-02-17 08:10:47,638 - Package['kafka_2_5_3_0_37'] {'retry_on_repo_unavailability': False, 'retry_count': 5, 'action': ['upgrade']}

2017-02-17 08:10:47,638 - Installing package kafka_2_5_3_0_37 ('/usr/bin/yum -d 0 -e 0 -y install kafka_2_5_3_0_37')

2017-02-17 08:10:48,103 - Package['pig_2_5_3_0_37'] {'retry_on_repo_unavailability': False, 'retry_count': 5, 'action': ['upgrade']}

2017-02-17 08:10:48,104 - Installing package pig_2_5_3_0_37 ('/usr/bin/yum -d 0 -e 0 -y install pig_2_5_3_0_37')

2017-02-17 08:10:48,826 - Execution of '/usr/bin/yum -d 0 -e 0 -y install pig_2_5_3_0_37' returned 1. Error: Nothing to do

2017-02-17 08:10:48,826 - Failed to install package pig_2_5_3_0_37. Executing '/usr/bin/yum clean metadata'

2017-02-17 08:10:49,064 - Retrying to install package pig_2_5_3_0_37 after 30 seconds

2017-02-17 08:12:00,127 - Package Manager failed to install packages. Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install pig_2_5_3_0_37' returned 1. Error: Nothing to do

7 REPLIES 7
Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Mentor

@suresh krish

Can you try running the install locally on the ambari node

yum install pig_2_5_3_0_37 
Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Explorer

Iam getting below error :

yum.repos.d]# yum install pig_2_5_3_0_37

Loaded plugins: rhnplugin, security

This system is receiving updates from RHN Classic or RHN Satellite.

Repository HDP-2.5.3.0-37 is listed more than once in the configuration

Repository HDP-UTILS-2.5.3.0-37 is listed more than once in the configuration

Setting up Install Process

No package pig_2_5_3_0_37 available.

Error: Nothing to do

Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Mentor

@suresh krish

go to your /etc/yum.repos.d/ and delete one of your HDP-2.5.3 repos files as well as HDP-UTILS files. They're listed twice.

yum clean all
yum repolist

if error persists, check repos again then yum clean all again.

Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Explorer

I deleted existing HDP-2.5.3 & UtiliS repo... after i start the upgrade process , HDP-2.5.3 & utils files created automatically/. WHen i do yum list pig it is showing old version not from the new repo. any idea

Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Mentor

go to ambari > stacks and versions and check that node whether you still have references to the old repos.

Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Explorer

Actually it installed in other machine., getting eror only on Ambari node

Highlighted

Re: HDP UPGRADE 2.4 to 2.5.3 Fails

Mentor

what's the output of the following command

rpm -qa | grep pig
yum search all pig
Don't have an account?
Coming from Hortonworks? Activate your account here